summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorIan Stakenvicius <axs@gentoo.org>2015-02-26 20:41:10 +0000
committerIan Stakenvicius <axs@gentoo.org>2015-02-26 20:41:10 +0000
commit26d9276da3cc7320b1c187f1cac6a3bf1f36fe00 (patch)
treef4bb353fb8f72ecf6d83f2f7ba0ecc0373afbb38 /eclass
parentAutomated update. (diff)
downloadgentoo-2-26d9276da3cc7320b1c187f1cac6a3bf1f36fe00.tar.gz
gentoo-2-26d9276da3cc7320b1c187f1cac6a3bf1f36fe00.tar.bz2
gentoo-2-26d9276da3cc7320b1c187f1cac6a3bf1f36fe00.zip
updated icu dep in mozconfig-v5.31, added mozconfig-v5.36
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/mozconfig-v5.31.eclass6
-rw-r--r--eclass/mozconfig-v5.36.eclass232
3 files changed, 240 insertions, 4 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index c36e03399b38..8edd56adaacd 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1555 2015/02/26 01:52:15 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1556 2015/02/26 20:41:10 axs Exp $
+
+ 26 Feb 2015; Ian Stakenvicius (_AxS_) <axs@gentoo.org>
+ mozconfig-v5.31.eclass, +mozconfig-v5.36.eclass:
+ updated icu dep in mozconfig-v5.31, added mozconfig-v5.36
26 Feb 2015; Ben de Groot <yngwin@gentoo.org> qmake-utils.eclass:
add qt{4,5}_get_bindir helper functions
diff --git a/eclass/mozconfig-v5.31.eclass b/eclass/mozconfig-v5.31.eclass
index 297c0726ce8c..bd1008841214 100644
--- a/eclass/mozconfig-v5.31.eclass
+++ b/eclass/mozconfig-v5.31.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v5.31.eclass,v 1.2 2014/12/03 23:10:06 axs Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v5.31.eclass,v 1.3 2015/02/26 20:41:10 axs Exp $
#
# @ECLASS: mozconfig-v5.31.eclass
# @MAINTAINER:
@@ -78,7 +78,7 @@ RDEPEND=">=app-text/hunspell-1.2
x11-libs/libXrender
x11-libs/libXt
system-cairo? ( >=x11-libs/cairo-1.12[X] >=x11-libs/pixman-0.19.2 )
- system-icu? ( >=dev-libs/icu-51.1 )
+ system-icu? ( >=dev-libs/icu-51.1:= )
system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
system-sqlite? ( >=dev-db/sqlite-3.8.4.2:3[secure-delete,debug=] )
system-libvpx? ( =media-libs/libvpx-1.3.0* )
diff --git a/eclass/mozconfig-v5.36.eclass b/eclass/mozconfig-v5.36.eclass
new file mode 100644
index 000000000000..7959064de340
--- /dev/null
+++ b/eclass/mozconfig-v5.36.eclass
@@ -0,0 +1,232 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozconfig-v5.36.eclass,v 1.1 2015/02/26 20:41:10 axs Exp $
+#
+# @ECLASS: mozconfig-v5.33.eclass
+# @MAINTAINER:
+# mozilla team <mozilla@gentoo.org>
+# @BLURB: the new mozilla common configuration eclass for FF33 and newer, v5
+# @DESCRIPTION:
+# This eclass is used in mozilla ebuilds (firefox, thunderbird, seamonkey)
+# to provide a single common place for the common mozilla engine compoments.
+#
+# The eclass provides all common dependencies as well as common use flags.
+#
+# Some use flags which may be optional in particular mozilla packages can be
+# supported through setting eclass variables.
+#
+# This eclass inherits mozconfig helper functions as defined in mozcoreconf-v3,
+# and so ebuilds inheriting this eclass do not need to inherit that.
+
+inherit multilib flag-o-matic toolchain-funcs mozcoreconf-v3
+
+case ${EAPI} in
+ 0|1|2|3|4) die "EAPI=${EAPI} not supported"
+esac
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_WIFI
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# optional necko-wifi support via IUSE="wifi". Currently this would include
+# ebuilds for firefox, and potentially seamonkey.
+#
+# Leave the variable UNSET if necko-wifi support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# @ECLASS-VARIABLE: MOZCONFIG_OPTIONAL_JIT
+# @DESCRIPTION:
+# Set this variable before the inherit line, when an ebuild needs to provide
+# optional necko-wifi support via IUSE="jit". Currently this would include
+# ebuilds for firefox, and potentially seamonkey.
+#
+# Leave the variable UNSET if optional jit support should not be available.
+# Set the variable to "enabled" if the use flag should be enabled by default.
+# Set the variable to any value if the use flag should exist but not be default-enabled.
+
+# use-flags common among all mozilla ebuilds
+IUSE="${IUSE} dbus debug gstreamer pulseaudio selinux startup-notification system-cairo system-icu system-jpeg system-sqlite system-libvpx"
+
+# some notes on deps:
+# gtk:2 minimum is technically 2.10 but gio support (enabled by default) needs 2.14
+# media-libs/mesa needs to be 10.2 or above due to a bug with flash+vdpau
+
+RDEPEND=">=app-text/hunspell-1.2
+ dev-libs/atk
+ dev-libs/expat
+ >=dev-libs/libevent-1.4.7
+ >=x11-libs/cairo-1.10[X]
+ >=x11-libs/gtk+-2.18:2
+ x11-libs/gdk-pixbuf
+ >=x11-libs/pango-1.22.0
+ >=media-libs/libpng-1.6.14:0=[apng]
+ >=media-libs/mesa-10.2:*
+ media-libs/fontconfig
+ >=media-libs/freetype-2.4.10
+ kernel_linux? ( media-libs/alsa-lib )
+ pulseaudio? ( media-sound/pulseaudio )
+ virtual/freedesktop-icon-theme
+ dbus? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72 )
+ startup-notification? ( >=x11-libs/startup-notification-0.8 )
+ >=dev-libs/glib-2.26:2
+ >=sys-libs/zlib-1.2.3
+ >=virtual/libffi-3.0.10
+ gstreamer? (
+ >=media-libs/gstreamer-1.2.3:1.0
+ >=media-libs/gst-plugins-base-1.2.3:1.0
+ >=media-libs/gst-plugins-good-1.2.3:1.0
+ >=media-plugins/gst-plugins-libav-1.1.0_pre20130128-r1:1.0
+ )
+ x11-libs/libX11
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXrender
+ x11-libs/libXt
+ system-cairo? ( >=x11-libs/cairo-1.12[X] >=x11-libs/pixman-0.19.2 )
+ system-icu? ( >=dev-libs/icu-51.1:= )
+ system-jpeg? ( >=media-libs/libjpeg-turbo-1.2.1 )
+ system-sqlite? ( >=dev-db/sqlite-3.8.7.4:3[secure-delete,debug=] )
+ system-libvpx? ( =media-libs/libvpx-1.3.0*[postproc] )
+"
+
+if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]]; then
+ if [[ ${MOZCONFIG_OPTIONAL_WIFI} = "enabled" ]]; then
+ IUSE+=" +wifi"
+ else
+ IUSE+=" wifi"
+ fi
+ RDEPEND+="
+ wifi? ( >=sys-apps/dbus-0.60
+ >=dev-libs/dbus-glib-0.72
+ net-wireless/wireless-tools )"
+fi
+if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
+ if [[ ${MOZCONFIG_OPTIONAL_JIT} = "enabled" ]]; then
+ IUSE+=" +jit"
+ else
+ IUSE+=" jit"
+ fi
+fi
+
+DEPEND="app-arch/zip
+ app-arch/unzip
+ >=sys-devel/binutils-2.16.1
+ ${RDEPEND}"
+
+RDEPEND+="
+ selinux? ( sec-policy/selinux-mozilla )"
+
+# @FUNCTION: mozconfig_config
+# @DESCRIPTION:
+# Set common configure options for mozilla packages.
+# Call this within src_configure() phase, after mozconfig_init
+#
+# Example:
+#
+# inherit mozconfig-v5.33
+#
+# src_configure() {
+# mozconfig_init
+# mozconfig_config
+# # ... misc ebuild-unique settings via calls to
+# # ... mozconfig_{annotate,use_with,use_enable}
+# mozconfig_final
+# }
+
+mozconfig_config() {
+ # Migrated from mozcoreconf-2
+ mozconfig_annotate 'system_libs' \
+ --with-system-zlib \
+ --enable-pango \
+ --enable-svg \
+ --with-system-bz2
+
+ mozconfig_annotate '' --enable-default-toolkit=cairo-gtk2
+
+ if has bindist ${IUSE}; then
+ mozconfig_use_enable !bindist official-branding
+ if [[ ${PN} == firefox ]] && use bindist ; then
+ mozconfig_annotate '' --with-branding=browser/branding/aurora
+ fi
+ fi
+
+ mozconfig_use_enable debug
+ mozconfig_use_enable debug tests
+
+ if ! use debug ; then
+ mozconfig_annotate 'disabled by Gentoo' --disable-debug-symbols
+ else
+ mozconfig_annotate 'enabled by Gentoo' --enable-debug-symbols
+ fi
+
+ mozconfig_use_enable startup-notification
+
+ if [[ -n ${MOZCONFIG_OPTIONAL_WIFI} ]] ; then
+ # wifi pulls in dbus so manage both here
+ mozconfig_use_enable wifi necko-wifi
+ if use wifi && ! use dbus; then
+ echo "Enabling dbus support due to wifi request"
+ mozconfig_annotate 'dbus required by necko-wifi' --enable-dbus
+ else
+ mozconfig_use_enable dbus
+ fi
+ else
+ mozconfig_use_enable dbus
+ mozconfig_annotate 'disabled' --disable-necko-wifi
+ fi
+
+ # These are forced-on for webm support
+ mozconfig_annotate 'required' --enable-ogg
+ mozconfig_annotate 'required' --enable-wave
+
+ if [[ -n ${MOZCONFIG_OPTIONAL_JIT} ]]; then
+ mozconfig_use_enable jit ion
+ mozconfig_use_enable jit yarr-jit
+ fi
+
+ # These are enabled by default in all mozilla applications
+ mozconfig_annotate '' --with-system-nspr --with-nspr-prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --with-system-nss --with-nss-prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --x-includes="${EPREFIX}"/usr/include --x-libraries="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate '' --with-system-libevent="${EPREFIX}"/usr
+ mozconfig_annotate '' --prefix="${EPREFIX}"/usr
+ mozconfig_annotate '' --libdir="${EPREFIX}"/usr/$(get_libdir)
+ mozconfig_annotate 'Gentoo default' --enable-system-hunspell
+ mozconfig_annotate '' --disable-gnomevfs
+ mozconfig_annotate '' --disable-gnomeui
+ mozconfig_annotate '' --enable-gio
+ mozconfig_annotate '' --disable-crashreporter
+ mozconfig_annotate 'Gentoo default' --with-system-png
+ mozconfig_annotate '' --enable-system-ffi
+ mozconfig_annotate 'Gentoo default to honor system linker' --disable-gold
+ mozconfig_annotate '' --disable-gconf
+
+ # Use jemalloc unless libc is not glibc >= 2.4
+ # at this time the minimum glibc in the tree is 2.9 so we should be safe.
+ if use elibc_glibc; then
+ # We must force-enable jemalloc 3 via .mozconfig
+ echo "export MOZ_JEMALLOC3=1" >> "${S}"/.mozconfig || die
+ mozconfig_annotate '' --enable-jemalloc
+ mozconfig_annotate '' --enable-replace-malloc
+ fi
+
+ mozconfig_annotate '' --target="${CTARGET:-${CHOST}}"
+ mozconfig_annotate '' --build="${CTARGET:-${CHOST}}"
+
+ if use gstreamer; then
+ mozconfig_annotate '+gstreamer' --enable-gstreamer=1.0
+ else
+ mozconfig_annotate '' --disable-gstreamer
+ fi
+ mozconfig_use_enable pulseaudio
+
+ mozconfig_use_enable system-cairo
+ mozconfig_use_enable system-sqlite
+ mozconfig_use_with system-jpeg
+ mozconfig_use_with system-icu
+ mozconfig_use_enable system-icu intl-api
+ mozconfig_use_with system-libvpx
+}